Project

General

Profile

Bug #301

prelude-correlator fails to compile on FreeBSD7

Added by almost 13 years ago. Updated almost 12 years ago.

Status:
Closed
Priority:
Normal
Target version:
Start date:
Due date:
% Done:

0%

Resolution:
fixed

Description

Hello all,

I am trying to compile prelude-correlator-0.9.0-beta3 on [[FreeBSD]] 7.0 with the following prelude libraries:

libprelude-0.9.17.2_1
libpreludedb-0.9.14.1_2

The error I get during make is below.

In file included from lua.c:35:
/usr/local/include/libprelude/prelude-timer.h:39: error: expected specifier-qualifier-list before 'time_t'

History

#1 Updated by Yoann VANDOORSELAERE almost 13 years ago

  • Status changed from New to Assigned

#2 Updated by Yoann VANDOORSELAERE almost 13 years ago

  • Status changed from Assigned to Closed
  • Resolution set to fixed

(In r10690) Include time.h for time_t definition, fix #301.

#3 Updated by Yoann VANDOORSELAERE almost 13 years ago

Libprelude 0.9.18.1, available for download, should fix this issue.

#4 Updated by Yoann VANDOORSELAERE almost 12 years ago

  • Project changed from PRELUDE SIEM to Libprelude
  • Category deleted (1)
  • Target version deleted (0.9.19)

Also available in: Atom PDF